Bug 729504 - perl-Dancer: please update to version 1.3071
Summary: perl-Dancer: please update to version 1.3071
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Dancer
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 704544
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-09 23:38 UTC by Jose Pedro Oliveira
Modified: 2011-09-22 06:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-22 06:27:46 UTC


Attachments (Terms of Use)
Specfile patch: update from 1.3040 to 1.3071 (639 bytes, application/octet-stream)
2011-08-10 01:32 UTC, Jose Pedro Oliveira
no flags Details

Description Jose Pedro Oliveira 2011-08-09 23:38:39 UTC
Description of problem:
Please update perl Dancer to the latest upstream version (1.3071) and create Fedora 15 and EPEL-6 branches.

Version-Release number of selected component (if applicable):
perl-Dancer-1.3040-3


Additional info:
CPAN homepage:
http://search.cpan.org/dist/Dancer/

Changes:
http://cpansearch.perl.org/src/SUKRIA/Dancer-1.3071/CHANGES

Security related changes at least in versions 1.3051 and 1.3.071.

Comment 1 Jose Pedro Oliveira 2011-08-10 01:32:16 UTC
Created attachment 517506 [details]
Specfile patch: update from 1.3040 to 1.3071

Comment 2 Jose Pedro Oliveira 2011-08-10 01:36:10 UTC
Perl Dancer 1.3071 (see attached specfile patch) builds correctly in Fedora 14 and Fedora 15 with three skipped tests:

 * skipped: HTTP::Parser::XS is required
 * skipped: Dancer::Session::Cookie 0.14 required
 * skipped: Author tests not required for installation

The EPEL6 branch will require more time as several required modules are still not present in the repositories. Modules already identified:

 * perl(HTTP::Server::Simple::PSGI)
 * perl(Plack::Builder)
 * perl(Devel::StackTrace)
 * perl(Devel::StackTrace::AsHTML)
 * perl(Filesys::Notify::Simple)

/jpo

Comment 3 Paul Howarth 2011-08-10 08:35:02 UTC
Is perl-Devel-StackTrace not in the RHEL-6 optional channel? It was there in the 6.0 beta (perl-Devel-StackTrace-1.22-4.el6.src.rpm) and a package with that NEVR is in CentOS 6.0.

Comment 4 Jose Pedro Oliveira 2011-08-10 12:42:31 UTC
(In reply to comment #3)
> Is perl-Devel-StackTrace not in the RHEL-6 optional channel? It was there in
> the 6.0 beta (perl-Devel-StackTrace-1.22-4.el6.src.rpm) and a package with that
> NEVR is in CentOS 6.0.

Paul,

I forgot to mention that perl-Plack-0.9980 (using the F15 SRPM) wants Devel::StackTrace 1.23 and only version 1.22 is available in the main repositories (Argh! Major problem...).

Some of the perl-Plack 0.9980 missing requirements in EPEL-6:

    perl(Devel::StackTrace) >= 1.23
    perl(Devel::StackTrace::AsHTML) >= 0.11
    perl(Filesys::Notify::Simple)
         perl(Test::SharedFork)   
    perl(Hash::MultiValue) >= 0.05
    perl(Test::TCP) >= 0.11
    perl(Authen::Simple::Adapter)

/jpo

Comment 5 Marcela Mašláňová 2011-08-10 14:40:34 UTC
(In reply to comment #3)
> Is perl-Devel-StackTrace not in the RHEL-6 optional channel? It was there in
> the 6.0 beta (perl-Devel-StackTrace-1.22-4.el6.src.rpm) and a package with that
> NEVR is in CentOS 6.0.

I see perl-Devel-StackTrace-1.22-4.el6.noarch.rpm in optional channels for RHEL-6.1.

Comment 6 Marcela Mašláňová 2011-08-10 14:44:06 UTC
(In reply to comment #2)
> Perl Dancer 1.3071 (see attached specfile patch) builds correctly in Fedora 14
> and Fedora 15 with three skipped tests:
> 
>  * skipped: HTTP::Parser::XS is required
>  * skipped: Dancer::Session::Cookie 0.14 required
>  * skipped: Author tests not required for installation
> 
> The EPEL6 branch will require more time as several required modules are still
> not present in the repositories. Modules already identified:
> 
>  * perl(HTTP::Server::Simple::PSGI)
>  * perl(Plack::Builder)
>  * perl(Devel::StackTrace)
>  * perl(Devel::StackTrace::AsHTML)
>  * perl(Filesys::Notify::Simple)
> 
> /jpo

I'll do updates in Fedora, you can take it in EPEL if you wish.

Comment 7 Fedora Update System 2011-08-10 14:58:19 UTC
perl-Dancer-1.3071-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-Dancer-1.3071-1.fc16

Comment 8 Jose Pedro Oliveira 2011-08-10 18:28:55 UTC
(In reply to comment #6)
--[SNIP]--
> 
> I'll do updates in Fedora, you can take it in EPEL if you wish.

Ok. I will start requesting EPEL-6 branches for the missing requirements and
looking into the perl-Devel-StackTrace version problem.

Regards,
jpo

Comment 9 Jose Pedro Oliveira 2011-08-10 22:58:48 UTC
First batch of requests for EPEL-6 branch creation:

 * Bug 575491 - perl-Test-SharedFork
 * Bug 664980 - perl-Test-TCP
 * Bug 575492 - perl-Filesys-Notify-Simple
 * Bug 581321 - perl-Devel-StackTrace-AsHTML
 * Bug 670477 - perl-HTTP-Server-Simple-PSGI
 * Bug 575493 - perl-Hash-MultiValue

/jpo

Comment 10 Fedora Update System 2011-08-11 06:32:12 UTC
perl-Dancer-1.3071-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-Dancer-1.3071-1.fc15

Comment 11 Jose Pedro Oliveira 2011-08-12 01:57:20 UTC
Second set of branch requests:

 * Bug 472167 - perl-asa
 * Bug 539230 - perl-Authen-Simple
 * Bug 664904 - perl-Authen-Simple-Passwd
 * Bug 575496 - perl-CGI-Compile
 * Bug 664815 - perl-CGI-Emulate-PSGI
 * Bug 581324 - perl-IO-Handle-Util
 * Bug 562380 - perl-FCGI-Client

/jpo

Comment 12 Jose Pedro Oliveira 2011-08-12 22:28:23 UTC
Hopefully the last three branch requests:

 * Bug 675529 - perl-Test-CheckManifest
 * Bug 579070 - perl-Log-Dispatch-Array
 * Bug 664910 - perl-Plack

/jpo

Comment 13 Jose Pedro Oliveira 2011-08-14 22:23:39 UTC
Forgot this one:

 * Bug 485642 - perl-FCGI-ProcManager

/jpo

Comment 14 Jose Pedro Oliveira 2011-08-16 15:16:51 UTC
The following packages have already been built for EPEL6:

Note: By default I imported a F15 SRPM; modifications stated below.

 * perl-asa-0.02-8.el6
 * perl-Authen-Simple-0.4-5.el6
 * perl-Authen-Simple-Passwd-0.6-2.el6
 * perl-CGI-Compile-0.11-4.el6
 * perl-CGI-Emulate-PSGI-0.12-1.el6
 * perl-FCGI-Client-0.04-5.el6.1
   - added: BR perl(Time::HiRes)
 * perl-FCGI-ProcManager-0.19-6.el6
 * perl-Filesys-Notify-Simple-0.05-4.el6
 * perl-HTTP-Server-Simple-PSGI-0.14-2.el6.1
   - imported the F14 SRPM due to #705966
 * perl-Hash-MultiValue-0.08-4.el6
 * perl-IO-Handle-Util-0.01-3.el6
 * perl-Log-Dispatch-Array-1.001-4.el6
 * perl-Test-CheckManifest-1.24-1.el6
 * perl-Test-SharedFork-0.16-1.el6.1
   - added: BR perl(Time::HiRes)
 * perl-Test-TCP-1.11-2.el6.1
   - added: BR perl(Time::HiRes)
   - only imported version 1.11 (instead of 1.13) due to
     a Test::More version requirement

/jpo

TODO - perl-Devel-StackTrace-AsHTML, perl-Plack, and perl-Dancer

Comment 15 Fedora Update System 2011-08-26 19:07:28 UTC
perl-Dancer-1.3071-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 16 Fedora Update System 2011-08-28 05:22:22 UTC
perl-Dancer-1.3071-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.